Bug 1918648 - Subscription page doesn't show InstallPlan correctly
Summary: Subscription page doesn't show InstallPlan correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-21 10:10 UTC by Yadan Pei
Modified: 2021-02-24 15:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Install plan not null (237.46 KB, image/png)
2021-01-27 01:38 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7891 0 None closed Bug 1918648: Replace deprecated 'installplan' Subscription status field with new 'installPlanRef' 2021-02-09 15:29:25 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:38 UTC

Description Yadan Pei 2021-01-21 10:10:17 UTC
Description of problem:
Subscription page, InstallPlan shows a 'None' value even if there is an installplan for the subscription

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-19-095812

How reproducible:
Always

Steps to Reproduce:
1. subscribe etcd operator and wait it to be succeed
2. check subscription and installplan
$ oc get sub etcd -n default -o json | jq '.status.installPlan'
null
$ oc get sub etcd -n default -o json | jq '.status.installplan'
{
  "apiVersion": "operators.coreos.com/v1alpha1",
  "kind": "InstallPlan",
  "name": "install-dwvjp",
  "uuid": "7599059a-8b1c-44c3-9499-bfca07cd1e11"
}

3. Goes to Operators -> Installed Operators -> etcd operator -> click on Subscription tab -> check InstallPlan value

Actual results:
3. It shows 'None'

Expected results:
3. It should show correct IP name and a link to it

Additional info:
We are querying subscription.status.installPlan.name for subscription's installplan, but it has changed in 4.7, now it is subscription.status.installplan.name

export const installPlanForSubscription = (
  installPlans: InstallPlanKind[] = [],
  subscription: SubscriptionKind,
): InstallPlanKind =>
  installPlans.find((ip) => ip?.metadata?.name === subscription?.status?.installPlan?.name);

Comment 2 Siva Reddy 2021-01-27 01:37:58 UTC
Now the install plan value shows the correct value instead of null.

Screen shot attached.

Version:
 4.7.0-0.nightly-2021-01-26-162323

Steps to verify:
 follows the steps in the description (https://bugzilla.redhat.com/show_bug.cgi?id=1918648#c0)

Comment 3 Siva Reddy 2021-01-27 01:38:28 UTC
Created attachment 1751081 [details]
Install plan not null

Comment 6 errata-xmlrpc 2021-02-24 15:55:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.